<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>HTML Attributes and Links</title>
</head>
<body>
	<h2 align="center">HTML Attributes</h2>
	<!-- 
		HTML attributes are added into the opening to modify the behavior of an element

		<tag attribute = "value">text</tag>
	 -->

	 <!-- type attribute align modifies the alignment of our text in an element -->
	 <p align="right">Modifiers of element behavior</p>

	 <!-- type attribute can be added to our ol to change the default from numbered lists to the indicate na type -->
	 <!-- vertical align
	 		vlign = "top, middle, bottom"

	  -->
	<!-- valign example -->
	<table align="center" width="200" border="1">
		<tr>
			<th height="200" valign="top">Student Code</th>
			<th valign="middle">Grade</th>
		</tr>
		<tr>
			<td align="center" valign="baseline">001</td>
			<td>B+</td>
		</tr>

	</table>

	 <!-- start attribute can be determined which number we can start our ordered list from. -->
	 <!-- reversed attribute reverses the order of the numbering of an ol -->
	 <!-- <ol typr="a" start="2>" -->

	 <ol reversed>
	 	<li>Michael Jordan</li>
	 	<li>Kobe Bryant</li>
	 	<li>Lebron James</li>
	 </ol>
	 <!-- img tag allows to add an image element. It is usually used with src attribute which determines the source for image displayed

 	height and width attributes that will allow us to determine the height and width of an image per pixel

	 	src attribute in our img we can either get our resource from a relative path or an absolute path
	 	absolute path

	 	relative path
	 		- means the resource is located relatively to our index.html
	 		- this means it is in the same machine
		absolute path
			- when the resource is located outside the local machine or in another server

	 	== move file folder ==
	 	mv [filename] [folder/directory]
	 	ex: mv html5.jpg images

	alt - attribute allows to add a caption or description about our image in the event the path provided in the source cannot be found.

	  -->
	 <img src="./images/html5.png" height="400" width="400" alt="a logo of html">
	 <img src="https://place-puppy.com/300x300" alt="a photo of a cute puppy but very scary.">

	 <!-- Mini-Activity

	 add an hr
	 add an h1 with your name
	 add an h3 with the text: "Full Stack Web Developer."

	 Download or copy your picture in our images folder inside s04. Make sure the image is:
	 	- .jpg/.png
	 	- square in size and shape
	 	- keep it sfw

	 	Add an img in our html to display the image
	 		- add a src attribute and its absolute path to locate the picture and display it properly
	 		- add a height and width attribute to the img tag and resize the picture 200x200 (200 pixels in height and 200 pixels in width)
			- add an alt to the image to describe the picture -->



	<hr>
	<h1>Isemman James Arrojo</h1>
	<h3>Full Stack Web Developer.</h3>
	<img src="./images/2x2.png" height="200" width="200" alt="cutie">
	<h3>My Favorite Food</h3>
	<img src="https://lotg-11f71.kxcdn.com/wp-content/uploads/2017/04/C07285-Sour-Neon-Worms-4.5g.jpg" height="200" width="200" alt="gummy worms">
	
	<!-- 

		Link

		a - anchor tag
			this allows to create links to a relative path or absolute path

		href - hypertext reference
			this allows us to add the url for our anchor tag. If no href is added to the anchor tag, it does not work.

		For absolute links or links with absolute path, we want our users to move from our page to another page in another location.

		we add target="_blank" to an absolute link so that we can open a new tab when link the user to a page outside of our server/machine

	 -->

	<hr>
	<h2>Links</h2>
	<a href="#">Am I Link?</a>
	<br>
	<a href="https://zuitt.co/" target="_blank">Zuitt.co Absolute Link</a>

	<br>
	<a href="./link.html">Go to Link.html</a>

</body>
</html>